Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision ad8f0d0caf72fd14d07729f6d9b1f80bdc4c5e5b)
+++ sansview/perspectives/fitting/basepage.py	(revision 08ba57d840c330a219757ee06c2529ac1d31e374)
@@ -227,5 +227,5 @@
         
     def set_scroll(self):
-        self.SetScrollbars(20,20,200,100)
+        self.SetScrollbars(20,20,25,65)
         self.Layout()   
         self.SetAutoLayout(True)
@@ -317,5 +317,5 @@
         self.sizer4.Layout()
         self.Layout()
-        self.SetScrollbars(20,20,200,100)
+        self.SetScrollbars(20,20,25,65)
         self.Refresh()
         ## saving the state of enable dispersity button
@@ -999,5 +999,5 @@
                 items = self.structurebox.GetItems()
                 self.sizer1.Layout()
-                self.SetScrollbars(20,20,200,100)
+                self.SetScrollbars(20,20,25,65)
                 for i in range(len(items)):
                     if items[i]== str(name):
@@ -1203,5 +1203,5 @@
         sizer.Add(boxsizer1,0, wx.EXPAND | wx.ALL, 10)
         sizer.Layout()
-        self.SetScrollbars(20,20,200,100)
+        self.SetScrollbars(20,20,25,65)
         
         
@@ -1252,5 +1252,5 @@
         self.Layout()
         self.Refresh()
-        self.SetScrollbars(20,20,200,100)
+        self.SetScrollbars(20,20,25,65)
             
     def _populate_box(self, combobox, list):
@@ -1315,5 +1315,5 @@
         self.sizer4.Layout()
         self.Layout()
-        self.SetScrollbars(20,20,200,100)
+        self.SetScrollbars(20,20,25,65)
         self.Refresh()
         
@@ -1449,5 +1449,5 @@
         self.Layout()
         self.Refresh()
-        self.SetScrollbars(20,20,200,100)       
+        self.SetScrollbars(20,20,25,65)       
           
         
@@ -1469,5 +1469,5 @@
         self.sizer4_4.Layout()
         self.sizer4.Layout()
-        self.SetScrollbars(20,20,200,100)
+        self.SetScrollbars(20,20,25,65)
       
             
@@ -1498,5 +1498,5 @@
             self.Layout()
             self.Refresh()
-            self.SetScrollbars(20,20,200,100)   
+            self.SetScrollbars(20,20,25,65)   
             return 
         if (len(self.disp_cb_dict)>0) :
@@ -1518,5 +1518,5 @@
         self.sizer4.Layout()
         self.Layout()
-        self.SetScrollbars(20,20,200,100)    
+        self.SetScrollbars(20,20,25,65)    
         self.Refresh()
         
@@ -1550,5 +1550,5 @@
         self.sizer4.Layout()
         self.Layout()
-        self.SetScrollbars(20,20,200,100)
+        self.SetScrollbars(20,20,25,65)
         self.Refresh()
         
@@ -1611,5 +1611,5 @@
         self.sizer4_4.Layout()
         self.sizer4.Layout()
-        self.SetScrollbars(20,20,200,100)
+        self.SetScrollbars(20,20,25,65)
         ## save state into
 
@@ -1687,5 +1687,5 @@
         self.sizer5.Layout()
         self.Layout()
-        self.SetScrollbars(20,20,200,100)
+        self.SetScrollbars(20,20,25,65)
     
     
@@ -1715,5 +1715,5 @@
         self.sizer6.Add(boxsizer1,0, wx.EXPAND | wx.ALL, 10)
         self.sizer6.Layout()
-        self.SetScrollbars(20,20,200,100)
+        self.SetScrollbars(20,20,25,65)
         
     def on_model_help_clicked(self,event):
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 7ad6ff53fe839cb7520921a7a6606afba552fefb)
+++ sansview/perspectives/fitting/fitpage.py	(revision 08ba57d840c330a219757ee06c2529ac1d31e374)
@@ -124,5 +124,5 @@
                 
         self.sizer3.Layout()
-        self.SetScrollbars(20,20,200,100)
+        self.SetScrollbars(20,20,25,65)
         
     
@@ -464,5 +464,5 @@
         self.sizer4.Layout()
         self.Layout()
-        self.SetScrollbars(20,20,200,100)
+        self.SetScrollbars(20,20,25,65)
         self.Refresh()
      
@@ -627,5 +627,5 @@
         self.state.data= data 
         self._fill_datainfo_sizer()
-        self.SetScrollbars(20,20,200,100)
+        self.SetScrollbars(20,20,25,65)
         self.Layout()   
         
@@ -754,5 +754,5 @@
         self.Layout()
         self.Refresh()
-        self.SetScrollbars(20,20,200,100)
+        self.SetScrollbars(20,20,25,65)
         
         
@@ -1010,5 +1010,5 @@
         if model ==None:
             self.sizer3.Layout()
-            self.SetScrollbars(20,20,200,100)
+            self.SetScrollbars(20,20,25,65)
             return
         ## the panel is drawn using the current value of the fit engine
@@ -1287,5 +1287,5 @@
         self.Layout()
         self.Refresh()
-        self.SetScrollbars(20,20,200,100)
+        self.SetScrollbars(20,20,25,65)
        
         
Index: sansview/perspectives/fitting/modelpage.py
===================================================================
--- sansview/perspectives/fitting/modelpage.py	(revision 1467e1a676c0b3d34d59d4747eaad76d397f7ba0)
+++ sansview/perspectives/fitting/modelpage.py	(revision 08ba57d840c330a219757ee06c2529ac1d31e374)
@@ -51,5 +51,5 @@
         self._on_display_description_helper()
         
-        self.SetScrollbars(20,20,200,100)
+        self.SetScrollbars(20,20,25,65)
         self.Refresh()
 
@@ -285,5 +285,5 @@
         self.sizer4_4.Layout()
         self.sizer4.Layout()
-        self.SetScrollbars(20,20,200,100)
+        self.SetScrollbars(20,20,25,65)
              
  
@@ -475,5 +475,5 @@
             ##no model avaiable to draw sizer 
             self.sizer3.Layout()
-            self.SetScrollbars(20,20,200,100)
+            self.SetScrollbars(20,20,25,65)
             return
         box_description= wx.StaticBox(self, -1,str("Model Parameters"))
@@ -611,5 +611,5 @@
         self.sizer3.Add(boxsizer1,0, wx.EXPAND | wx.ALL, 10)
         self.sizer3.Layout()
-        self.SetScrollbars(20,20,200,100)
+        self.SetScrollbars(20,20,25,65)
     
  
